<template>
  <v-container class="fill-height">
    <v-card class="mx-auto" color="transparent" flat tile>
      <v-card-title class="white--text mb-4">Wer schaut gerade?</v-card-title>
      <v-row no-gutters>
        <v-col class="chooseacc">
          <v-img
            @click="setUserData('Lukas Pawlitschko', 'l.pawlitschko@gmx.de')"
            src="/l.pawlitschko.png"
            contain
            width="140px"
            class="mr-3 ml-3"
          />
          <v-card-title class="justify-center white--text">Lukas</v-card-title>
        </v-col>
        <v-col class="chooseacc">
          <v-img
            @click="setUserData('Daniel Heckmann', 'd.heckmann@gmx.de')"
            src="/d.heckmann.png"
            contain
            width="140px"
            class="mr-3 ml-3"
          />
          <v-card-title class="justify-center white--text">Daniel</v-card-title>
        </v-col>
        <v-col class="chooseacc" to="/overview">
          <v-img
            @click="setUserData('Maxi Nawrot', 'm.nawrot@gmx.de')"
            src="/m.nawrot.png"
            contain
            width="140px"
            class="mr-3 ml-3"
          />
          <v-card-title class="justify-center white--text">Maxi</v-card-title>
        </v-col>
        <v-col class="chooseacc">
          <v-img
            @click="setUserData('Julia Lainer', 'j.lainer@gmx.de')"
            src="/j.lainer.png"
            contain
            width="140px"
            class="mr-3 ml-3"
          />
          <v-card-title class="justify-center white--text">Julia</v-card-title>
        </v-col>
      </v-row>
    </v-card>
  </v-container>
</template>

<script>
export default {
  name: "AccountView",

  methods: {
    setUserData(username, email) {
      localStorage.setItem("userData", JSON.stringify({ username, email }));
      this.$router.push("Overview");
    },
  },
};
</script>

<style>
.chooseacc {
  cursor: pointer;
}
</style>
